Scilab Function
Last update : 00/00/0000

toeplitz - matrice de Toeplitz

### Calling Sequence

  `A=toeplitz(c [,r])`

### Parameters

- `a,c,r` : matrice complexe, réelle, polynomiale ou de chaînes de caractères.

### Description

Renvoie la matrice de Toeplitz dont la première ligne est `r` et la première colonne est `c`. `c(1)` doit être égal à `r(1)`. `toeplitz(c)` renvoie la matrice de Toeplitz symétrique.

### Examples

    A=toeplitz(1:5);
    //
    T=toeplitz(1:5,1:2:7);T1=[1 3 5 7;2 1 3 5;3 2 1 3;4 3 2 1;5 4 3 2];
    T-T1
    //
    s=poly(0,'s');
    t=toeplitz([s,s+1,s^2,1-s]);
    t1=[s,1+s,s*s,1-s;1+s,s,1+s,s*s;s*s,1+s,s,1+s;1-s,s*s,1+s,s]
    t-t1
    //
    t=toeplitz(['1','2','3','4']);
    t1=['1','2','3','4';'2','1','2','3';'3','2','1','2';'4','3','2','1']

### See Also

`matrix`,